random-fu-0.3.0.1: Random number generation

Safe Haskell | None
Language | Haskell2010

Data.Random.Distribution.Gamma

Synopsis

- data Gamma a = Gamma a a
- gamma :: Distribution Gamma a => a -> a -> RVar a
- gammaT :: forall a (m :: Type -> Type). Distribution Gamma a => a -> a -> RVarT m a
- newtype Erlang a b = Erlang a
- erlang :: Distribution (Erlang a) b => a -> RVar b
- erlangT :: forall a b (m :: Type -> Type). Distribution (Erlang a) b => a -> RVarT m b
- mtGamma :: forall a (m :: Type -> Type). (Floating a, Ord a, Distribution StdUniform a, Distribution Normal a) => a -> a -> RVarT m a

# Documentation

data Gamma a Source #

Constructors

Gamma a a |

#### Instances

Instances details

(Real a, Distribution Gamma a) => CDF Gamma a Source # |
Instance details Defined in Data.Random.Distribution.Gamma Methods cdf :: Gamma a -> a -> Double Source #
(Floating a, Ord a, Distribution Normal a, Distribution StdUniform a) => Distribution Gamma a Source # |
Instance details Defined in Data.Random.Distribution.Gamma Methods rvar :: Gamma a -> RVar a Source # rvarT :: forall (n :: Type -> Type). Gamma a -> RVarT n a Source #

gamma :: Distribution Gamma a => a -> a -> RVar a Source #

gammaT :: forall a (m :: Type -> Type). Distribution Gamma a => a -> a -> RVarT m a Source #

newtype Erlang a b Source #

Constructors

Erlang a |

#### Instances

Instances details

(Integral a, Real b, Distribution (Erlang a) b) => CDF (Erlang a) b Source # |
Instance details Defined in Data.Random.Distribution.Gamma Methods cdf :: Erlang a b -> b -> Double Source #
(Integral a, Floating b, Ord b, Distribution Normal b, Distribution StdUniform b) => Distribution (Erlang a) b Source # |
Instance details Defined in Data.Random.Distribution.Gamma Methods rvar :: Erlang a b -> RVar b Source # rvarT :: forall (n :: Type -> Type). Erlang a b -> RVarT n b Source #

erlang :: Distribution (Erlang a) b => a -> RVar b Source #

erlangT :: forall a b (m :: Type -> Type). Distribution (Erlang a) b => a -> RVarT m b Source #

mtGamma :: forall a (m :: Type -> Type). (Floating a, Ord a, Distribution StdUniform a, Distribution Normal a) => a -> a -> RVarT m a Source #

derived from Marsaglia & Tang, "A Simple Method for generating gamma variables", ACM Transactions on Mathematical Software, Vol 26, No 3 (2000), p363-372.